

div {
	/*border: 1px solid green;*/
}
body {
	margin: 0;
    padding: 0;
    min-height: 100vh; 
	
    background-image: url('candy-bg.png');
 
    font-weight: bold;
	text-align: center;
    overflow: hidden;
}




img {
	position: absolute;
	    margin: 20px 20px 20px 20px;
}

.btn {
	margin: 5px;
	border: 1px solid #666666;
	box-shadow: 1px 1px 5px gray;
}

.btn:hover {
	background-color: #8c8c8c;
}

.arrow {
	margin: 0;
	color: white;
}

.arrow:disabled {
	background-color: grey;
}

.arrow:enabled {
	background-color: #4889f0;
}

#firstColumn, #mainColumn, #lastColumn {
	margin: auto;
	padding: 10px;
}

#firstColumn {
	z-index: 3;
}

#gameTitle {
	font-weight: bold;
	color: #fd336e;
}

#gameBoard {
	z-index: 1;
	margin: auto;
	width: 370px;
	height: 370px;
	table-layout: fixed;
	position: relative;
	background-color: rgb(81 89 98 / 41%);
    
    border-radius: 10px;
    box-shadow: 0 2px 4px rgb(255 248 248 / 50%) inset, 0 1px 0 #fff;
}

#moveInput {
	width: 50px;
}

#moveInput:hover, #moveInput:focus {
	box-shadow: 0 0 5px blue;
}

#arrowContainer {
	margin: 20px auto;
}

#canvas {
	z-index: 10;
	position: absolute;
	top: 10px;
	left: calc(50% - 160px);
	opacity: 0.7;
}

#scoreLabel {
	
	width: 10em;
}

#cover {
	z-index: 2;
	position: absolute;
	top: -500px;
	left: calc(50% - 160px);
	
	width: 320px;
	height: 500px;
}

#newGame, #showMove {
	width: 10em;
	color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    background: linear-gradient(145deg, #38bdf8, #0284c7);
    box-shadow: 0 3px 0 #0369a1, 0 10px 20px rgba(0, 0, 0, 0.25);
}

#DEBUG {
	z-index: 100;
	position: fixed;
	top: 50px;
	left: 25px;
	background-color: #ff4d4d;
	opacity: 0.85;
}
.score-container{
	border-radius: 5PX;
    background: linear-gradient(145deg, #ffb6f9, #ff6ec7);
    border: 3px solid rgba(255, 255, 255, 0.4);
    box-shadow: 0 3px 0 #ff7cd0, 0 18px 30px rgba(0, 0, 0, 0.25), inset 0 4px 10px rgba(255, 255, 255, 0.4);
    MARGIN-BOTTOM: 20PX;
}